Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1884453 - Please build python-trustme for EPEL7
Summary: Please build python-trustme for EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-trustme
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Carl George 🤠
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-02 03:27 UTC by Orion Poplawski
Modified: 2020-10-23 22:49 UTC (History)
3 users (show)

Fixed In Version: python-trustme-0.6.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:49:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2020-10-02 03:27:38 UTC
Description of problem:

Please build python-trustme for EPEL7, needed for python3-urllib3 which currently has a CVE that needs fixing.

Looks like we also need python3-service-identity for trustme.

Comment 1 Orion Poplawski 2020-10-02 03:38:12 UTC
Actually, I was able to backport the fix pretty quickly.  But still would be nice to be able to update urllib3 more easily in the future if needed.

Comment 2 Carl George 🤠 2020-10-02 04:26:09 UTC
Sure thing.  The branch has been requested.

https://pagure.io/releng/fedora-scm-requests/issue/29337

Comment 3 Fedora Update System 2020-10-07 03:29:36 UTC
FEDORA-EPEL-2020-96a99bbef2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-96a99bbef2

Comment 4 Carl George 🤠 2020-10-07 03:30:56 UTC
I went ahead and built this with the test suite disabled.  Once bug 1884466 is resolved, I can re-enable it.

Comment 5 Fedora Update System 2020-10-07 21:19:51 UTC
FEDORA-EPEL-2020-96a99bbef2 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-96a99bbef2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-10-23 22:49:26 UTC
FEDORA-EPEL-2020-96a99bbef2 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.